> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Update Prompt



## OpenAPI

````yaml put /v1/default_user_prompts
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/default_user_prompts:
    put:
      tags:
        - Prompts
      summary: Create Or Update Prompt
      operationId: Create_or_Update_Prompt_v1_default_user_prompts_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromptsList'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PromptOut'
                type: array
                title: Response Create Or Update Prompt V1 Default User Prompts Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PromptsList:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/CreatePrompt'
          type: array
          title: Prompts
      type: object
      required:
        - prompts
      title: PromptsList
    PromptOut:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
        orchestrate_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Orchestrate Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtitle
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
      type: object
      title: PromptOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CreatePrompt:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        title:
          type: string
          title: Title
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
          title: Subtitle
        prompt:
          type: string
          title: Prompt
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
      type: object
      required:
        - title
        - prompt
      title: CreatePrompt
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````